# CbcRounding Class Reference

Rounding class. More...

`#include <CbcHeuristic.hpp>`

Inheritance diagram for CbcRounding:
[legend]
Collaboration diagram for CbcRounding:
[legend]

List of all members.

## Public Member Functions
| CbcRounding ()
| CbcRounding (CbcModel &model)
| CbcRounding (const CbcRounding &)
| ~CbcRounding ()
CbcRounding & | operator= (const CbcRounding &rhs)
| Assignment operator.
virtual CbcHeuristic * | clone () const
| Clone.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts
virtual int | solution (double &objectiveValue, double *newSolution, double solutionValue)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts Use solutionValue rather than solvers one
virtual void | validate ()
| Validate model i.e. sets when_ to 0 if necessary (may be NULL).
void | setSeed (int value)
| Set seed.
## Protected Attributes
CoinPackedMatrix | matrix_
CoinPackedMatrix | matrixByRow_
unsigned short * | down_
unsigned short * | up_
unsigned short * | equal_
int | seed_

## Detailed Description

Rounding class.

Definition at line 407 of file CbcHeuristic.hpp.

## Constructor & Destructor Documentation

CbcRounding::CbcRounding | ( |  | ) |

CbcRounding::CbcRounding | ( | CbcModel & | model | ) |

CbcRounding::CbcRounding | ( | const CbcRounding & |  | ) |

CbcRounding::~CbcRounding | ( |  | ) |

## Member Function Documentation

CbcRounding& CbcRounding::operator= | ( | const CbcRounding & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual CbcHeuristic* CbcRounding::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

virtual void CbcRounding::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcRounding::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcRounding::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcRounding::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements CbcHeuristic.

virtual int CbcRounding::solution | ( | double & | objectiveValue,
|  | double * | newSolution,
|  | double | solutionValue |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts Use solutionValue rather than solvers one

virtual void CbcRounding::validate | ( |  | ) | `[virtual]`

Validate model i.e. sets when_ to 0 if necessary (may be NULL).

Reimplemented from CbcHeuristic.

void CbcRounding::setSeed | ( | int | value | ) | `[inline]`

Set seed.

Reimplemented from CbcHeuristic.

Definition at line 458 of file CbcHeuristic.hpp.

## Member Data Documentation

CoinPackedMatrix CbcRounding::matrix_`[protected]`

Definition at line 466 of file CbcHeuristic.hpp.

CoinPackedMatrix CbcRounding::matrixByRow_`[protected]`

Definition at line 469 of file CbcHeuristic.hpp.

unsigned short* CbcRounding::down_`[protected]`

Definition at line 472 of file CbcHeuristic.hpp.

unsigned short* CbcRounding::up_`[protected]`

Definition at line 475 of file CbcHeuristic.hpp.

unsigned short* CbcRounding::equal_`[protected]`

Definition at line 478 of file CbcHeuristic.hpp.

int CbcRounding::seed_`[protected]`

Definition at line 481 of file CbcHeuristic.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcHeuristic.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines